BindPrivateZoneVpc

1. API Description

This API (BindPrivateZoneVpc) is used to Associate global VPCs with a DNS Zone.

circle-info

Note

  • If the DNS Zone is already associated with a specified VPC, repeated calls will not return an error.

  • The number of VPCs that can be associated with a DNS Zone is limited by quota. If there is an excess demand, please submit an application in Service Quotas.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneId

Yes

String

DNS Zone ID.

vpcIds

Yes

Array of String

List of VPCs to be associated.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Associate global VPCs with a DNS Zone.

POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: BindPrivateZoneVpc
<Common Request Params>

Request:
{
    "zoneId": "<zoneId>",
    "vpcIds": [
        "<vpcId-1>",
        "<vpcId-2>"
    ]
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_PRIVATE_ZONE_NOT_FOUND

DNS Zone does not exist.

409

INVALID_ZONE_NAME_VPC_CONFLICT

DNS Zone conflict. The VPC is already associated with the same DNS Zone.

Last updated